Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 233889 - netatalk, netatalk-devel: unowned directories
Summary: netatalk, netatalk-devel: unowned directories
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: netatalk
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Martin Nagy
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-03-25 16:56 UTC by Michael Schwendt
Modified: 2016-07-26 23:46 UTC (History)
2 users (show)

Fixed In Version: netatalk-2.0.3-17.fc9
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-02-25 09:35:12 UTC


Attachments (Terms of Use)
diff against cvs (deleted)
2008-02-23 17:48 UTC, Michael Schwendt
no flags Details | Diff

Description Michael Schwendt 2007-03-25 16:56:13 UTC
=> netatalk - 4:2.0.3-9.fc7.i386
/usr/lib/atalk

=> netatalk-devel - 4:2.0.3-9.fc7.i386
/usr/include/netatalk

Comment 1 Martin Nagy 2008-02-23 16:13:28 UTC
Could please be more verbose in describing your problem?

Comment 2 Michael Schwendt 2008-02-23 17:48:15 UTC
Created attachment 295711 [details]
diff against cvs

The term "unowned directory" (or less commonly "orphaned
directory") is used in conjunction with packages that store
files in a directory, but don't include the directory itself.
When listing the list of files in the packages (e.g. with
"rpm -qlv ..." or rpmls from the UsefulScripts Wiki page),
you can see whether your package includes the "drwxr-xr-x"
entry for a directory and not just files within it.

For a long time, rpm created unowned directories with insufficient
file access permissions depending on root's umask. As another
problem, unowned directories are not removed when erasing a
package.

Finally, there are multiple ways to fix it. One is to use %dir
entries in the %files list. Another is to include directories
plus their contents recursively.

Comment 3 Martin Nagy 2008-02-25 09:35:12 UTC
Thanks.
Fixed in netatalk-2.0.3-17.fc9


Note You need to log in before you can comment on or make changes to this bug.